For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The JournalEntry object
          • GET/journal-entries
          • POST/journal-entries
          • GET/journal-entries/{id}
          • GET/journal-entries/lines/remote-field-classes
          • GET/journal-entries/meta/post
          • GET/journal-entries/remote-field-classes

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsJournal Entries

/journal-entries/{id}

GET
/accounting/v1/journal-entries/:id
GET
/api/accounting/v1/journal-entries/:id
$curl -G https://api.merge.dev/api/accounting/v1/journal-entries/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=accounting_period
200Retrieved
1{
2 "id": "ecbe05ac-62a3-46c5-ab31-4b478b37d1b4",
3 "remote_id": "088899",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "transaction_date": "2020-03-31T00:00:00Z",
7 "payments": [
8 "b26fd49a-cbae-470a-a8f8-bcbc119e0390"
9 ],
10 "applied_payments": [
11 "4311155d-f236-4a5d-9e0f-1cb167e38f95"
12 ],
13 "memo": "Weekly Payment",
14 "currency": "USD",
15 "exchange_rate": "2.9",
16 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
17 "inclusive_of_tax": true,
18 "lines": [
19 {
20 "remote_id": "121222",
21 "account": "9d892439-5fab-4dbb-8bd8-34f7f96c7912",
22 "net_amount": 25.54,
23 "tracking_categories": [
24 "d25d609b-945f-4762-b55a-1c8fb220c43c",
25 "9b840d2-686a-465a-8a8e-7b028498f8e4",
26 "a47e11b6-c73b-4a0c-be31-130fc48177fa"
27 ],
28 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
29 "employee": "123c8r35-5kf5-12x5-r833-99bwf35210b5",
30 "project": "22e65a5d-2df5-4e6e-884a-e538d0339000",
31 "contact": "d2d5ea3c-b032-11ec-b909-0242ac120002",
32 "tax_rate": "a12e7c20-1922-9df7-s75n-edfeewnn7384",
33 "description": "Cash payment for lunch",
34 "exchange_rate": "2.9",
35 "remote_was_deleted": false
36 },
37 {
38 "remote_id": "121223",
39 "account": "f963f34d-3d2f-4f77-b557-cf36bc7e6498",
40 "net_amount": 10
41 }
42 ],
43 "journal_number": "42",
44 "tracking_categories": [
45 "b38c59b0-a9d7-4740-b1ee-5436c6751e3d",
46 "9b840d2-686a-465a-8a8e-7b028498f8e4",
47 "a47e11b6-c73b-4a0c-be31-130fc48177fa"
48 ],
49 "remote_was_deleted": true,
50 "posting_status": "POSTED",
51 "accounting_period": "655c8f97-2ac4-45b7-b000-41bdf43240b5",
52 "remote_created_at": "2020-03-31T00:00:00Z",
53 "remote_updated_at": "2020-03-31T00:00:00Z",
54 "field_mappings": {
55 "organization_defined_targets": {
56 "custom_key": "custom_value"
57 },
58 "linked_account_defined_targets": {
59 "custom_key": "custom_value"
60 }
61 },
62 "remote_data": [
63 {
64 "path": "/actions",
65 "data": null
66 }
67 ],
68 "remote_fields": [
69 {
70 "remote_field_class": {
71 "id": "string",
72 "display_name": "string",
73 "remote_key_name": "string",
74 "description": "string",
75 "is_custom": true,
76 "is_common_model_field": true,
77 "is_required": true,
78 "field_type": "string",
79 "field_format": "string",
80 "field_choices": [
81 "string"
82 ],
83 "item_schema": {
84 "item_type": "string",
85 "item_format": "string",
86 "item_choices": [
87 "string"
88 ]
89 }
90 },
91 "value": "string"
92 }
93 ]
94}

Returns a JournalEntry object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/journal-entries

Next

/journal-entries/lines/remote-field-classes

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandlist of enumsOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
transaction_datedatetime or null
The journal entry's transaction date.
paymentslist of strings

Array of Payment object IDs.

applied_paymentslist of strings
A list of the Payment Applied to Lines common models related to a given Invoice, Credit Note, or Journal Entry.
memostring or null
The journal entry's private note.
currencyenum or null
The journal's currency. The currency code in ISO 4217 format.
exchange_ratestring or nullformat: "decimal"
The journal entry's exchange rate.
companystring or nullformat: "uuid"
The company the journal entry belongs to.
inclusive_of_taxboolean or null

If the transaction is inclusive or exclusive of tax. True if inclusive, False if exclusive.

lineslist of objectsRead-only
journal_numberstring or null<=70 characters
Reference number for identifying journal entries.
tracking_categorieslist of strings
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

posting_statusenum or null
The journal's posting status.
Allowed values:
accounting_periodstring or nullformat: "uuid"
The accounting period that the JournalEntry was generated in.
remote_created_atdatetime or null
When the third party's journal entry was created.
remote_updated_atdatetime or null
When the third party's journal entry was updated.
field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only
remote_fieldslist of objectsRead-only